Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.eside.flingbox
Class FlingboxActivity

    java.lang.Object
      Activity
          edu.eside.flingbox.FlingboxActivity

    public class FlingboxActivity

extends Activity

Flingbox main activity. Shows scene at full screen.

Constructor Summary
`FlingboxActivity()`

Method Summary
`void` | `onConfigurationChanged(Configuration newConfig)` Called only when orientation changed.
`void` | `onCreate(Bundle savedInstanceState)` Called when the activity is first created.
`boolean` | `onCreateOptionsMenu(Menu menu)` Creates the menu items
`boolean` | `onOptionsItemSelected(MenuItem item)` Handles item selections
`void` | `onPause()` Called when activity Pause
`void` | `onResume()`
`void` | `onStop()` Called when activity Stops
`boolean` | `onTouchEvent(MotionEvent ev)` Called when touch event occurs.
`boolean` | `onTrackballEvent(MotionEvent ev)` Called when trackball scroll event occurs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlingboxActivity

    public FlingboxActivity()

Method Detail

### onCreate

    public void onCreate(Bundle savedInstanceState)

  Called when the activity is first created.

### onCreateOptionsMenu

    public boolean onCreateOptionsMenu(Menu menu)

  Creates the menu items

### onOptionsItemSelected

    public boolean onOptionsItemSelected(MenuItem item)

  Handles item selections

### onPause

    public void onPause()

  Called when activity Pause

### onResume

    public void onResume()

### onStop

    public void onStop()

  Called when activity Stops

### onConfigurationChanged

    public void onConfigurationChanged(Configuration newConfig)

  Called only when orientation changed. This is called because the android:configChanges="orientation" in AndroidManifest.xml

### onTouchEvent

    public boolean onTouchEvent(MotionEvent ev)

  Called when touch event occurs.

### onTrackballEvent

    public boolean onTrackballEvent(MotionEvent ev)

  Called when trackball scroll event occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD